aboutsummaryrefslogtreecommitdiffstats
path: root/x11/util-macros/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2009-02-15 11:54:29 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2009-02-16 07:21:05 +0000
commite63cb64cebc6bad9c511912bfe33a72cb42743c8 (patch)
tree68b4fb2bc8eb72a912c3a0d79538900887636612 /x11/util-macros/APKBUILD
parent8bd29a287e98104263af412415bd5325100c0e44 (diff)
downloadaports-e63cb64cebc6bad9c511912bfe33a72cb42743c8.tar.gz
aports-e63cb64cebc6bad9c511912bfe33a72cb42743c8.tar.bz2
aports-e63cb64cebc6bad9c511912bfe33a72cb42743c8.tar.xz
x11: added libX11 and depends
Diffstat (limited to 'x11/util-macros/APKBUILD')
-rw-r--r--x11/util-macros/APKBUILD19
1 files changed, 19 insertions, 0 deletions
diff --git a/x11/util-macros/APKBUILD b/x11/util-macros/APKBUILD
new file mode 100644
index 0000000000..6a0f09ce02
--- /dev/null
+++ b/x11/util-macros/APKBUILD
@@ -0,0 +1,19 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=util-macros
+pkgver=1.2.1
+pkgrel=0
+pkgdesc="X.Org Autotools macros"
+url="http://xorg.freedesktop.org/"
+license="custom"
+depends=""
+makedepends=""
+source="http://xorg.freedesktop.org/releases/individual/util/$pkgname-$pkgver.tar.bz2"
+
+build() {
+ cd "$srcdir"/$pkgname-$pkgver
+ ./configure --prefix=/usr || return 1
+ make || return 1
+ make DESTDIR="$pkgdir" install || return 1
+ install -Dm644 COPYING "$pkgdir"/usr/share/licenses/$pkgname/COPYING
+}
+md5sums="dc7ddaf9bea8b341510efe4dac125af4 util-macros-1.2.1.tar.bz2"